Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1607877 - Review-request: python-osc-placement
Summary: Review-request: python-osc-placement
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Kashyap Chamarthy
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-ROCKY 1572834 1610300 1610308 1610311
TreeView+ depends on / blocked
 
Reported: 2018-07-24 13:25 UTC by Matthew Booth
Modified: 2018-08-07 12:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 12:17:06 UTC
Embargoed:
kchamart: rdo-review+


Attachments (Terms of Use)
python-osc-placement.spec (5.12 KB, text/plain)
2018-08-02 12:57 UTC, Matthew Booth
no flags Details
python-osc-placement-1.3.0-0.20180731121224.9577cd8.el7.src.rpm (42.29 KB, application/x-rpm)
2018-08-02 12:58 UTC, Matthew Booth
no flags Details


Links
System ID Private Priority Status Summary Last Updated
RDO 14995 0 None None None 2018-07-24 15:39:02 UTC
RDO 15020 0 None None None 2018-07-26 10:37:55 UTC
RDO 15037 0 None None None 2018-07-26 16:06:35 UTC
RDO 15181 0 None None None 2018-08-06 09:46:06 UTC

Description Matthew Booth 2018-07-24 13:25:42 UTC
osc-placement is the plugin to openstackclient which adds support for the placement service. It is required for command-line administration of the placement service, so we should have included it since we added placement, which was in Pike. Currently administrators have to:

* Manually install it from source
* Construct curl commands manually to hit the REST api
* Edit the placement DB directly (!)
* Try to guess what's going on by examining logs from other services

Source: https://git.openstack.org/cgit/openstack/osc-placement/

Documentation: https://docs.openstack.org/osc-placement/latest/index.html

Spec: https://gist.github.com/mdbooth/8b70d11cbb97c1620afab9c7e618612e#file-python-osc-placement-spec

Comment 1 Matthew Booth 2018-07-24 13:29:26 UTC
$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./.zuul.yaml: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./osc_placement/__init__.py: *No copyright* Apache (v2.0)
./osc_placement/http.py: *No copyright* Apache (v2.0)
./osc_placement/plugin.py: *No copyright* Apache (v2.0)
./osc_placement/version.py: *No copyright* Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./osc_placement/resources/aggregate.py: *No copyright* Apache (v2.0)
./osc_placement/resources/allocation.py: *No copyright* Apache (v2.0)
./osc_placement/resources/allocation_candidate.py: *No copyright* Apache (v2.0)
./osc_placement/resources/common.py: *No copyright* Apache (v2.0)
./osc_placement/resources/inventory.py: *No copyright* Apache (v2.0)
./osc_placement/resources/resource_class.py: *No copyright* Apache (v2.0)
./osc_placement/resources/resource_provider.py: *No copyright* Apache (v2.0)
./osc_placement/resources/trait.py: *No copyright* Apache (v2.0)
./osc_placement/resources/usage.py: *No copyright* Apache (v2.0)
./releasenotes/notes/commands-v1.0.0-894ea659825b3757.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.10-03ab71969921a0e4.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.14-support-nested-resource-providers-296961cc93ef30e8.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.16-alloc-candidates-limit-8310675ecc99a82a.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.17-alloc-candidates-required-traits-57378c735d0beeb4.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.3-and-1.4-becd8058c9dd9ad8.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.5-0c6342c887669b8e.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.6-54a85ef9ae79f15d.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.7-6be2dadd0b27910f.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.8-1.9-db26e40571292353.yaml: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/queens.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./doc/source/cli/index.rst: *No copyright* UNKNOWN
./doc/source/user/index.rst: *No copyright* UNKNOWN
./osc_placement/tests/functional/base.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_aggregate.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_allocation.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_allocation_candidate.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_inventory.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_plugin.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_resource_class.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_resource_provider.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_trait.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_usage.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_allocation.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_common.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_http.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_plugin.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_version.py: *No copyright* Apache (v2.0)
./playbooks/legacy/osc-placement-dsvm-functional/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional/run.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional-py3/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional-py3/run.yaml: *No copyright* UNKNOWN
./osc_placement/tests/functional/hooks/post_test_hook.sh: *No copyright* Apache (v2.0)

Comment 2 Kashyap Chamarthy 2018-07-24 13:47:36 UTC
While I do the full review, the two errors from `rpmlint` ought to be fixed, to begin with:

$> rpmlint python-osc-placement.spec 
python-osc-placement.spec: W: no-%prep-section
python-osc-placement.spec: W: no-%build-section
python-osc-placement.spec: W: no-%install-section
python-osc-placement.spec: E: specfile-error error: line 8: Unknown tag: <!DOCTYPE html>
python-osc-placement.spec: E: specfile-error error: query of specfile python-osc-placement.spec failed, can't parse
0 packages and 1 specfiles checked; 2 errors, 3 warnings.

Comment 3 Kashyap Chamarthy 2018-07-24 13:58:15 UTC
(In reply to Kashyap Chamarthy from comment #2)
> While I do the full review, the two errors from `rpmlint` ought to be fixed,
> to begin with:
> 
> $> rpmlint python-osc-placement.spec 
> python-osc-placement.spec: W: no-%prep-section
> python-osc-placement.spec: W: no-%build-section
> python-osc-placement.spec: W: no-%install-section
> python-osc-placement.spec: E: specfile-error error: line 8: Unknown tag:
> <!DOCTYPE html>
> python-osc-placement.spec: E: specfile-error error: query of specfile
> python-osc-placement.spec failed, can't parse
> 0 packages and 1 specfiles checked; 2 errors, 3 warnings.

Please disregard the above; it was due to a corrupt spec file download.  Once I downloaded the spec file correctly, there are errors from `rpmlint`:

    $> rpmlint python-osc-placement.spec 
    0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Kashyap Chamarthy 2018-07-24 14:01:57 UTC
Re-posting my own run of `licensecheck -r .` output (in the spirit of: "trust but verify"):

$> licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./.zuul.yaml: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./python-osc-placement.spec: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./osc_placement/__init__.py: *No copyright* Apache (v2.0)
./osc_placement/http.py: *No copyright* Apache (v2.0)
./osc_placement/plugin.py: *No copyright* Apache (v2.0)
./osc_placement/version.py: *No copyright* Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./osc_placement/resources/aggregate.py: *No copyright* Apache (v2.0)
./osc_placement/resources/allocation.py: *No copyright* Apache (v2.0)
./osc_placement/resources/allocation_candidate.py: *No copyright* Apache (v2.0)
./osc_placement/resources/common.py: *No copyright* Apache (v2.0)
./osc_placement/resources/inventory.py: *No copyright* Apache (v2.0)
./osc_placement/resources/resource_class.py: *No copyright* Apache (v2.0)
./osc_placement/resources/resource_provider.py: *No copyright* Apache (v2.0)
./osc_placement/resources/trait.py: *No copyright* Apache (v2.0)
./osc_placement/resources/usage.py: *No copyright* Apache (v2.0)
./releasenotes/notes/commands-v1.0.0-894ea659825b3757.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.10-03ab71969921a0e4.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.14-support-nested-resource-providers-296961cc93ef30e8.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.16-alloc-candidates-limit-8310675ecc99a82a.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.17-alloc-candidates-required-traits-57378c735d0beeb4.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.3-and-1.4-becd8058c9dd9ad8.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.5-0c6342c887669b8e.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.6-54a85ef9ae79f15d.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.7-6be2dadd0b27910f.yaml: *No copyright* UNKNOWN
./releasenotes/notes/microversion-1.8-1.9-db26e40571292353.yaml: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/queens.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./doc/source/cli/index.rst: *No copyright* UNKNOWN
./doc/source/user/index.rst: *No copyright* UNKNOWN
./osc_placement/tests/functional/base.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_aggregate.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_allocation.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_allocation_candidate.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_inventory.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_plugin.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_resource_class.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_resource_provider.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_trait.py: *No copyright* Apache (v2.0)
./osc_placement/tests/functional/test_usage.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_allocation.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_common.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_http.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_plugin.py: *No copyright* Apache (v2.0)
./osc_placement/tests/unit/test_version.py: *No copyright* Apache (v2.0)
./playbooks/legacy/osc-placement-dsvm-functional/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional/run.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional-py3/post.yaml: *No copyright* UNKNOWN
./playbooks/legacy/osc-placement-dsvm-functional-py3/run.yaml: *No copyright* UNKNOWN
./osc_placement/tests/functional/hooks/post_test_hook.sh: *No copyright* Apache (v2.0)

Comment 5 Kashyap Chamarthy 2018-07-24 14:29:32 UTC
So, the Koji scratch build is failing.

Here is the build log:
https://kojipkgs.fedoraproject.org//work/tasks/6523/28566523/build.log

-----------------------------------------------
$ kinit $FAS
[...]

$> koji build --scratch f28 /home/kashyapc/rpmbuild/SRPMS/python-osc-placement-1.1.0-1.src.rpm
Uploading srpm: /home/kashyapc/rpmbuild/SRPMS/python-osc-placement-1.1.0-1.src.rpm
[====================================] 100% 00:00:00  37.81 KiB  87.78 KiB/sec
Created task: 28566515
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=28566515
Watching tasks (this may be safely interrupted)...
28566515 build (f28, python-osc-placement-1.1.0-1.src.rpm): open (buildvm-10.phx2.fedoraproject.org)
  28566523 buildArch (python-osc-placement-1.1.0-1.src.rpm, noarch): free
  28566523 buildArch (python-osc-placement-1.1.0-1.src.rpm, noarch): free -> open (buildvm-20.phx2.fedoraproject.org)
^A[^[[5~  28566523 buildArch (python-osc-placement-1.1.0-1.src.rpm, noarch): open (buildvm-20.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch noarch), mock exited with status 1; see build.log for more information
  0 free  1 open  0 done  1 failed
28566515 build (f28, python-osc-placement-1.1.0-1.src.rpm): open (buildvm-10.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch noarch), mock exited with status 1; see build.log for more information
  0 free  0 open  0 done  2 failed

28566515 build (f28, python-osc-placement-1.1.0-1.src.rpm) failed
-----------------------------------------------

Comment 6 Kashyap Chamarthy 2018-07-24 14:30:21 UTC
(In reply to Kashyap Chamarthy from comment #5)
> So, the Koji scratch build is failing.
> 
> Here is the build log:
> https://kojipkgs.fedoraproject.org//work/tasks/6523/28566523/build.log

Failure from the build log:

-----------------------------------------------
[...]
Exception occurred:
  File "/builddir/build/BUILD/osc-placement-1.1.0/osc_placement/resources/resource_class.py", line 13, in <module>
    from osc_lib.command import command
ImportError: No module named osc_lib.command
The full traceback has been saved in /tmp/sphinx-err-srlUz6.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!
error: Bad exit status from /var/tmp/rpm-tmp.DY079z (%build)
    Bad exit status from /var/tmp/rpm-tmp.DY079z (%build)
RPM build errors:
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/mockbuild/trace_decorator.py", line 89, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.6/site-packages/mockbuild/util.py", line 582, in do
    raise exception.Error("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
mockbuild.exception.Error: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target noarch --nodeps /builddir/build/SPECS/python-osc-placement.spec
-----------------------------------------------

Comment 8 Kashyap Chamarthy 2018-07-24 15:25:33 UTC
One last from `rpmlint`:

$> rpmlint python-osc-placement.spec /home/kashyapc/rpmbuild/SRPMS/python-osc-placement-1.1.0-1.src.rpm
python-osc-placement.src: E: no-changelogname-tag
1 packages and 1 specfiles checked; 1 errors, 0 warnings.

Matt said on IRC he's going to address it before building the package.

But the rest looks good to me, thanks!

Comment 9 Matthew Booth 2018-08-02 12:57:30 UTC
Created attachment 1472694 [details]
python-osc-placement.spec

Comment 10 Matthew Booth 2018-08-02 12:58:18 UTC
Created attachment 1472695 [details]
python-osc-placement-1.3.0-0.20180731121224.9577cd8.el7.src.rpm

Comment 11 Matthew Booth 2018-08-02 12:59:11 UTC
I've attached the proposed final spec and srpm. Spec is from gerrit, srpm was built in CI.

Comment 12 Alfredo Moralejo 2018-08-02 13:14:07 UTC
We require to add official package review report using fedora-review before merging initial spec. I'm executing it and will upload asap.

Comment 13 Alfredo Moralejo 2018-08-03 17:09:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 44 files have unknown license. Detailed
     output of licensecheck in /tmp/python-osc-placement/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -osc-placement , python2-osc-placement-tests , python-osc-placement-
     doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version 1.3.0
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-osc-placement-1.3.0-0.20180731121224.9577cd8.el7.noarch.rpm
          python2-osc-placement-tests-1.3.0-0.20180731121224.9577cd8.el7.noarch.rpm
          python-osc-placement-doc-1.3.0-0.20180731121224.9577cd8.el7.noarch.rpm
          python-osc-placement-1.3.0-0.20180731121224.9577cd8.el7.src.rpm
python2-osc-placement.noarch: E: no-changelogname-tag
python2-osc-placement.noarch: W: no-documentation
python2-osc-placement-tests.noarch: E: no-changelogname-tag
python2-osc-placement-tests.noarch: W: no-documentation
python-osc-placement-doc.noarch: E: no-changelogname-tag
python-osc-placement.src: E: no-changelogname-tag
python-osc-placement.src: W: invalid-url Source0: osc-placement-1.3.0-0.20180731121224.9577cd8.tar.gz
4 packages and 0 specfiles checked; 4 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-osc-placement.noarch: E: no-changelogname-tag
python2-osc-placement.noarch: W: invalid-url URL: https://github.com/openstack/osc-placement <urlopen error [Errno -2] Name or service not known>
python2-osc-placement.noarch: W: no-documentation
python-osc-placement-doc.noarch: E: no-changelogname-tag
python-osc-placement-doc.noarch: W: invalid-url URL: https://github.com/openstack/osc-placement <urlopen error [Errno -2] Name or service not known>
python2-osc-placement-tests.noarch: E: no-changelogname-tag
python2-osc-placement-tests.noarch: W: invalid-url URL: https://github.com/openstack/osc-placement <urlopen error [Errno -2] Name or service not known>
python2-osc-placement-tests.noarch: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 5 warnings.



Requires
--------
python2-osc-placement (rpmlib, GLIBC filtered):
    python(abi)
    python2-keystoneauth1
    python2-osc-lib
    python2-pbr
    python2-six

python-osc-placement-doc (rpmlib, GLIBC filtered):

python2-osc-placement-tests (rpmlib, GLIBC filtered):
    /bin/bash
    python(abi)
    python2-mock
    python2-osc-placement
    python2-oslotest
    python2-subunit



Provides
--------
python2-osc-placement:
    python-osc-placement
    python2-osc-placement

python-osc-placement-doc:
    python-osc-placement-doc

python2-osc-placement-tests:
    python2-osc-placement-tests



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn python-osc-placement-1.3.0-0.20180731121224.9577cd8.el7.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


This is a DLRN build, so it has no changelog and tarball is generated dynamically, that's the issues identified by fedora-review.

Package is APPROVED


Note You need to log in before you can comment on or make changes to this bug.